#!/bin/bash

DRIVER_VERSION=`dpkg -l | grep icubegpu | xargs | awk '{print $5, $6}'`
DRIVER_DATE=`dmesg | grep "Date(" | grep icube | xargs | cut -f5 -d " "`
VBIOS_VERSION=`dmesg | grep -i "ICUBE: vbios" | cut -f3 -d:`
BOOT2_VERSION=`dmesg | grep -i "ICUBE: boot" | cut -f3 -d:`
OPENGL_VERSION=`glxinfo | grep "OpenGL version string" | cut -f2 -d:`
BDF=`lspci | grep "3D controller" | xargs | cut -f1 -d " "`
VRAM_SIZE=`lspci -vvv -s $BDF | grep "64-bit, prefetchable" | cut -f 2 -d = | cut -f 1 -d ]`

echo "Driver Version: $DRIVER_VERSION $DRIVER_DATE" 
echo "VBIOS Version: $VBIOS_VERSION" 
echo "Boot Version: $BOOT2_VERSION" 
echo "OpenGL Version: $OPENGL_VERSION" 
echo "Visible VRAM Size: $VRAM_SIZE" 


